path: /build/build/libffi-dev-libs-3.5.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/libffi && luet-portage --dir
    /pkgdir/libffi dev-libs/libffi
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:f78adc6b8c95377a875674fddee5ee039c60b9bde494463c1fa4fd65cf61c430
  package:
    name: libffi
    version: 3.5.2
    category: dev-libs
    use_flags:
    - -test
    requires:
    - name: mark-base
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: a portable, high level programming interface to various calling conventions
    uri:
    - https://sourceware.org/libffi/
    license: MIT
    buildtimestamp: 2026-04-22 20:01:26.56397574 +0000 UTC m=+33.219129472
    labels:
      BDEPEND: test? ( dev-util/dejagnu )
      IUSE: debug exec-static-trampoline pax_kernel static-libs
      emerge.packages: dev-libs/libffi
      kit: core-kit
      original.package.name: dev-libs/libffi
      original.package.slot: "0"
      original.package.version: 3.5.2
    treedir: /build/packages
  package_dir: /pkgdir/libffi
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 51075aaa802041c90f9ab7fb24744e58589e17cd610526b6eb8e2c01b4cc60d6
compressiontype: zstd
files:
- usr/lib64/libffi/include/ffi.h
- usr/lib64/libffi/include/ffitarget.h
- usr/lib64/libffi.so
- usr/lib64/libffi.so.8
- usr/lib64/libffi.so.8.2.0
- usr/lib64/pkgconfig/libffi.pc
- usr/share/doc/libffi-3.5.2/ChangeLog.bz2
- usr/share/doc/libffi-3.5.2/README.md.bz2
- usr/share/info/libffi.info.bz2
- usr/share/man/man3/ffi.3.bz2
- usr/share/man/man3/ffi_call.3.bz2
- usr/share/man/man3/ffi_prep_cif.3.bz2
- usr/share/man/man3/ffi_prep_cif_var.3.bz2
- var/db/pkg/dev-libs/libffi-3.5.2/BUILD_TIME
- var/db/pkg/dev-libs/libffi-3.5.2/CATEGORY
- var/db/pkg/dev-libs/libffi-3.5.2/CBUILD
- var/db/pkg/dev-libs/libffi-3.5.2/CFLAGS
- var/db/pkg/dev-libs/libffi-3.5.2/CHOST
- var/db/pkg/dev-libs/libffi-3.5.2/CONTENTS
- var/db/pkg/dev-libs/libffi-3.5.2/COUNTER
- var/db/pkg/dev-libs/libffi-3.5.2/CTARGET
- var/db/pkg/dev-libs/libffi-3.5.2/CXX
- var/db/pkg/dev-libs/libffi-3.5.2/CXXFLAGS
- var/db/pkg/dev-libs/libffi-3.5.2/DEFINED_PHASES
- var/db/pkg/dev-libs/libffi-3.5.2/DESCRIPTION
- var/db/pkg/dev-libs/libffi-3.5.2/EAPI
- var/db/pkg/dev-libs/libffi-3.5.2/FEATURES
- var/db/pkg/dev-libs/libffi-3.5.2/HOMEPAGE
- var/db/pkg/dev-libs/libffi-3.5.2/INHERITED
- var/db/pkg/dev-libs/libffi-3.5.2/IUSE
- var/db/pkg/dev-libs/libffi-3.5.2/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/libffi-3.5.2/KEYWORDS
- var/db/pkg/dev-libs/libffi-3.5.2/LDFLAGS
- var/db/pkg/dev-libs/libffi-3.5.2/LICENSE
- var/db/pkg/dev-libs/libffi-3.5.2/NEEDED
- var/db/pkg/dev-libs/libffi-3.5.2/NEEDED.ELF.2
- var/db/pkg/dev-libs/libffi-3.5.2/PF
- var/db/pkg/dev-libs/libffi-3.5.2/PROVIDES
- var/db/pkg/dev-libs/libffi-3.5.2/REQUIRES
- var/db/pkg/dev-libs/libffi-3.5.2/SIZE
- var/db/pkg/dev-libs/libffi-3.5.2/SLOT
- var/db/pkg/dev-libs/libffi-3.5.2/USE
- var/db/pkg/dev-libs/libffi-3.5.2/environment.bz2
- var/db/pkg/dev-libs/libffi-3.5.2/libffi-3.5.2.ebuild
- var/db/pkg/dev-libs/libffi-3.5.2/repository
package_cacheimage: ""
runtime:
  name: libffi
  version: 3.5.2
  category: dev-libs
  use_flags:
  - -test
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: a portable, high level programming interface to various calling conventions
  uri:
  - https://sourceware.org/libffi/
  license: MIT
  labels:
    BDEPEND: test? ( dev-util/dejagnu )
    IUSE: debug exec-static-trampoline pax_kernel static-libs
    emerge.packages: dev-libs/libffi
    kit: core-kit
    original.package.name: dev-libs/libffi
    original.package.slot: "0"
    original.package.version: 3.5.2
